MKNOD(1)

NOMBRE
mknod - crea archivos especiales de bloques o caracteres

SINOPSIS
mknod [OPCIÓN]... NOMBRE TIPO [PRINCIPAL SECUNDARIO]

DESCRIPCIÓN

Crea el archivoo especial NOMBRE del TIPO dado.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-m, --mode=MODO
    establece los permisos a MODO, en lugar de a=rw - umask

-Z  establece el contexto de seguridad SELinux al tipo predeterminado

--context[=CTX]
    como -Z, o si se especifica CTX entonces establece el contexto de seguridad SELinux o SMACK a CTX

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

Deben especificarse tanto PRINCIPAL como SECUNDARIO cuando el TIPO es b, c ó u, y debe omitirse cuando el TIPO es p. Si PRINCIPAL o SECUNDARIO comienzan con 0x o 0X, se interpreta como hexadecimal; en caso contrario, si comienza con 0, como octal, en caso contrario, como decimal. TIPO puede ser:

b   crea un archivo especial de bloques (con búfer)

c, u
    crea un archivo especial de caracteres (sin búferes)

p   crea un FIFO

Su shell puede tener su propia versión de mknod, que usualmente tiene prioridad sobre la versión que se describe aquí. Por favor acuda a la documentación de su shell para saber los detalles sobre las opciones que admite.

AUTOR
Escrito por David MacKenzie.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

VÉASE TAMBIÉN
mknod(2)

Documentación completa: <https://www.gnu.org/software/coreutils/mknod>
también puede acceder de forma local ejecutando: info '(coreutils) mknod invocation'

Packaged by Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo.
NO HAY GARANTÍA, en la medida permitida por la legislación.

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Gerardo Aburruzaga García <gerardo.aburruzaga@uca.es>, Juan Piernas <piernas@ditec.um.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.